package main

import (
	"fmt"
	"os"

	"git.numenor-labs.us/dsfx/internal/lib/crypto/identity"
)

func main() {
	key, err := identity.Generate()
	if err != nil {
		panic(err)
	}

	exported, err := identity.ExportPrivateKey(key)
	if err != nil {
		panic(err)
	}

	fmt.Fprint(os.Stdout, string(exported))
}
